www.cendio.com
Bug 5375 - No documentation for hiveconf list syntax
: No documentation for hiveconf list syntax
Status: CLOSED FIXED
: ThinLinc
Documentation
: 4.3.0
: PC Unknown
: P2 Normal
: 4.6.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2014-12-05 10:09 by
Modified: 2016-04-01 11:13 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2014-12-05 10:09:53

    
------- Comment #1 From cendio 2014-12-05 10:18:02 -------
Space-separated is the correct Hiveconf way:

terminalservers=a b c
------- Comment #3 From cendio 2015-11-11 16:21:44 -------
Have now added documentation for this. The actual configuration files could
benefit from this information as well though, but I guess that doesn't belong
to this bug.
------- Comment #5 From cendio 2015-11-13 12:22:14 -------
Added this to the configuration files as well.
------- Comment #6 From cendio 2015-11-18 11:01:44 -------
A grep of hiveconf.get_string_list() will give the following result

/appservergroups/rdp/%s/rdesktop_args
/appservergroups/rdp/%s/servers
/printing/nearest/locations/%s/printers
/printing/nearest/terminals/%s/printers
/profiles/order
/profiles/%s/xdg_session
/utils/tl-desktop-customizer/desktop_languages
/utils/tl-desktop-customizer/groups/%s/desktop_application
/utils/tl-desktop-customizer/groups/%s/menu_applications
/utils/tl-desktop-customizer/groups/%s/thinlinc_profiles
/utils/tl-desktop-customizer/xdg_data_dirs
/utils/tl-mount-cifs/cifsmount_args
/utils/tl-mount-localdrives/mount_args
/vsmagent/allowed_clients
/vsmagent/xserver_args
/vsmserver/allowed_groups
/vsmserver/allowed_shadowers
/vsmserver/explicit_agentselection
/vsmserver/HA/nodes
/vsmserver/sshd_log_files
/vsmserver/terminalservers

And only a few of these are documented by this bug and I see no comment on this
bug of why that is the case.
------- Comment #8 From cendio 2015-11-18 16:02:55 -------
(In reply to comment #6)
> A grep of hiveconf.get_string_list() will give the following result
> 
> /appservergroups/rdp/%s/rdesktop_args

Fixed in TAG.

> /printing/nearest/locations/%s/printers
> /printing/nearest/terminals/%s/printers

There is no documentation for how to manually modify the configuration file for
nearest. We assume the administrator uses tlwebadm for this. In tlwebadm the
printers are added through a GUI where you add one printer at a time.

> /profiles/order

Fixed in TAG and configuration file.

> /profiles/%s/xdg_session
> /utils/tl-desktop-customizer/desktop_languages

Fixed in TAG and configuration file.

> /utils/tl-desktop-customizer/groups/%s/desktop_application
> /utils/tl-desktop-customizer/groups/%s/menu_applications
> /utils/tl-desktop-customizer/groups/%s/thinlinc_profiles

Similarly to nearest, there is no documentation for how to manuelly modify the
configuration groups in the config file for TLDC. Again, we assume the admin
uses tlwebadm to configure TLDC groups. In tlwebadm the applications and
profiles are added one a time through a GUI.

> /utils/tl-desktop-customizer/xdg_data_dirs

Fixed in TAG and configuration file.

> /utils/tl-mount-cifs/cifsmount_args
> /utils/tl-mount-localdrives/mount_args

Fixed in TAG.

> /vsmagent/xserver_args

Fixed in TAG.

> /vsmserver/explicit_agentselection

Fixed in TAG.
------- Comment #9 From cendio 2015-11-19 14:03:09 -------
Looks good now. verified using build 4948
------- Comment #10 From cendio 2015-11-20 14:17:58 -------
(In reply to comment #6)
> /appservergroups/rdp/%s/rdesktop_args
> /utils/tl-mount-cifs/cifsmount_args
> /utils/tl-mount-localdrives/mount_args
> /vsmagent/xserver_args

These four should in fact not be space-separated lists, they should actually
not be handled as lists at all. They should be handled as command arguments.
See bug 5721. We should not have documentation that indicates that this faulty
behavior is intended.